diff --git a/doc/src/sgml/catalogs.sgml b/doc/src/sgml/catalogs.sgml
index 865e826fb0..d330687339 100644
--- a/doc/src/sgml/catalogs.sgml
+++ b/doc/src/sgml/catalogs.sgml
@@ -1150,7 +1150,7 @@
        (references <link linkend="catalog-pg-type"><structname>pg_type</structname></link>.<structfield>oid</structfield>)
       </para>
       <para>
-       The data type of this column
+       The data type of this column (zero if dropped)
       </para></entry>
      </row>
 
@@ -1932,7 +1932,7 @@ SCRAM-SHA-256$<replaceable>&lt;iteration count&gt;</replaceable>:<replaceable>&l
       </para>
       <para>
        If this is a table or an index, the access method used (heap,
-       B-tree, hash, etc.)
+       B-tree, hash, etc.), zero otherwise.
       </para></entry>
      </row>
 
@@ -3236,7 +3236,8 @@ SCRAM-SHA-256$<replaceable>&lt;iteration count&gt;</replaceable>:<replaceable>&l
        (references <link linkend="catalog-pg-class"><structname>pg_class</structname></link>.<structfield>oid</structfield>)
       </para>
       <para>
-       The OID of the system catalog the dependent object is in
+       The OID of the system catalog the dependent object is in, or zero
+       for pinned objects (deptype='p'), meaning there is no dependent object.
       </para></entry>
      </row>
 
@@ -3246,7 +3247,7 @@ SCRAM-SHA-256$<replaceable>&lt;iteration count&gt;</replaceable>:<replaceable>&l
        (references any OID column)
       </para>
       <para>
-       The OID of the specific dependent object
+       The OID of the specific dependent object (zero if none)
       </para></entry>
      </row>
 
@@ -4687,7 +4688,7 @@ SCRAM-SHA-256$<replaceable>&lt;iteration count&gt;</replaceable>:<replaceable>&l
        For noninternal languages this references the language
        handler, which is a special function that is responsible for
        executing all functions that are written in the particular
-       language
+       language. Zero for internal languages.
       </para></entry>
      </row>
 
@@ -5209,7 +5210,7 @@ SCRAM-SHA-256$<replaceable>&lt;iteration count&gt;</replaceable>:<replaceable>&l
        (references <link linkend="catalog-pg-type"><structname>pg_type</structname></link>.<structfield>oid</structfield>)
       </para>
       <para>
-       Type of the result
+       Type of the result (zero if none)
       </para></entry>
      </row>
 
@@ -5219,7 +5220,7 @@ SCRAM-SHA-256$<replaceable>&lt;iteration count&gt;</replaceable>:<replaceable>&l
        (references <link linkend="catalog-pg-operator"><structname>pg_operator</structname></link>.<structfield>oid</structfield>)
       </para>
       <para>
-       Commutator of this operator, if any
+       Commutator of this operator (zero if none)
       </para></entry>
      </row>
 
@@ -5229,7 +5230,7 @@ SCRAM-SHA-256$<replaceable>&lt;iteration count&gt;</replaceable>:<replaceable>&l
        (references <link linkend="catalog-pg-operator"><structname>pg_operator</structname></link>.<structfield>oid</structfield>)
       </para>
       <para>
-       Negator of this operator, if any
+       Negator of this operator (zero if none)
       </para></entry>
      </row>
 
@@ -5239,7 +5240,7 @@ SCRAM-SHA-256$<replaceable>&lt;iteration count&gt;</replaceable>:<replaceable>&l
        (references <link linkend="catalog-pg-proc"><structname>pg_proc</structname></link>.<structfield>oid</structfield>)
       </para>
       <para>
-       Function that implements this operator
+       Function that implements this operator (zero if none)
       </para></entry>
      </row>
 
@@ -5249,7 +5250,7 @@ SCRAM-SHA-256$<replaceable>&lt;iteration count&gt;</replaceable>:<replaceable>&l
        (references <link linkend="catalog-pg-proc"><structname>pg_proc</structname></link>.<structfield>oid</structfield>)
       </para>
       <para>
-       Restriction selectivity estimation function for this operator
+       Restriction selectivity estimation function for this operator (zero if none)
       </para></entry>
      </row>
 
@@ -5259,7 +5260,7 @@ SCRAM-SHA-256$<replaceable>&lt;iteration count&gt;</replaceable>:<replaceable>&l
        (references <link linkend="catalog-pg-proc"><structname>pg_proc</structname></link>.<structfield>oid</structfield>)
       </para>
       <para>
-       Join selectivity estimation function for this operator
+       Join selectivity estimation function for this operator (zero if none)
       </para></entry>
      </row>
     </tbody>
@@ -5588,7 +5589,7 @@ SCRAM-SHA-256$<replaceable>&lt;iteration count&gt;</replaceable>:<replaceable>&l
        (references <link linkend="catalog-pg-authid"><structname>pg_authid</structname></link>.<structfield>oid</structfield>)
       </para>
       <para>
-       The roles to which the policy is applied
+       The roles to which the policy is applied (array with zero element if none)
       </para></entry>
      </row>
 
@@ -6742,7 +6743,8 @@ SCRAM-SHA-256$<replaceable>&lt;iteration count&gt;</replaceable>:<replaceable>&l
        (references <link linkend="catalog-pg-class"><structname>pg_class</structname></link>.<structfield>oid</structfield>)
       </para>
       <para>
-       The OID of the system catalog the dependent object is in
+       The OID of the system catalog the dependent object is in, or zero
+       for pinned objects (deptype='p'), meaning there is no dependent object.
       </para></entry>
      </row>
 
@@ -6752,7 +6754,7 @@ SCRAM-SHA-256$<replaceable>&lt;iteration count&gt;</replaceable>:<replaceable>&l
        (references any OID column)
       </para>
       <para>
-       The OID of the specific dependent object
+       The OID of the specific dependent object (zero if none)
       </para></entry>
      </row>
 
@@ -7975,7 +7977,7 @@ SCRAM-SHA-256$<replaceable>&lt;iteration count&gt;</replaceable>:<replaceable>&l
        (references <link linkend="catalog-pg-class"><structname>pg_class</structname></link>.<structfield>oid</structfield>)
       </para>
       <para>
-       The table referenced by a referential integrity constraint
+       The table referenced by a referential integrity constraint (zero if none)
       </para></entry>
      </row>
 
@@ -7986,7 +7988,7 @@ SCRAM-SHA-256$<replaceable>&lt;iteration count&gt;</replaceable>:<replaceable>&l
       </para>
       <para>
        The index supporting a unique, primary key, referential integrity,
-       or exclusion constraint
+       or exclusion constraint (zero if none)
       </para></entry>
      </row>
 
